<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::DataStream Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#ce95bf415101e195a0c79838fdcb7e7d">close</a>(void)=0</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#0e8fff2d3b689409db17998ef0b7e680">DataStream</a>()</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#d5b1850419f7c0f8891a10b305b93893">DataStream</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#81d740638618913333324663b2edb519">eof</a>(void) const =0</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#022f49c9313deffc5da4383d59d1f32d">getAsString</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#86d2ff5dff63ce4b689dd1d486d3243f">getLine</a>(bool trimAfter=true)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#7ebd86825f86b7114024d168e9751395">getName</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#371660702e913ca2799f0478a2154af7">mName</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#260d2aa9971abc5b8412cff1a01d6382">mSize</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#05072afd475d6875eedd5fc81a73123a">operator&gt;&gt;</a>(T &amp;val)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#ebedb14c79369be5b8750d834b128b9b">read</a>(void *buf, size_t count)=0</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#edc53a8cff5334563283a4557d423b25">readLine</a>(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#dc4002e013c279625553ccc3f50ddae1">seek</a>(size_t pos)=0</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#1d4e9568e53a8071ea9b29a015425aef">size</a>(void) const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#776630c409195fdf118a6737571d3d07">skip</a>(long count)=0</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#32966ad5a814f8c72fe0affbefcc6f55">skipLine</a>(const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#2d9100f4e9167116fe280a7e7a1b6219">tell</a>(void) const =0</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#9501eeeb1aefc59f4dad05ec0cbdc14e">~DataStream</a>()</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:29 2008
</p>
</body>
</html>
